Description

A really useful feature for new labeling engine would be to add a data-defined Priority property.

Currently, it's only possible to set one priority per layer. When used on e.g. a road network layer, it is not possible to tell QGIS to first label

high-level roads. Instead, you might end up with labels on some minor roads but none on the high-level roads.

Associated revisions

Revision ce2c4026 - 2015-07-08 10:38 AM - Nyall Dawson

[FEATURE][labeling] Allow data defined control of label priority

Previously only the priority for the entire layer could be specified

(fix #4606)

History

#1 - 2011-12-09 08:26 AM - Paolo Cavallini

- Category set to Labelling

#2 - 2012-10-06 02:16 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2015-07-08 01:45 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"ce2c40269050e1093d6c2d8843d6022ac4a1dcf4".
